Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.impl.fs
Class FSMenuService

    java.lang.Object
      org.jbpm.form.builder.services.impl.base.BaseMenuService
          org.jbpm.form.builder.services.impl.fs.FSMenuService

All Implemented Interfaces:
  MenuService

    public class FSMenuService

extends BaseMenuService

Constructor Summary
`FSMenuService()`

Method Summary
`protected URL` | `asURL(String path)`
`protected Reader` | `createReader(URL url)`
`void` | `deleteMenuItem(String groupName, MenuItemDescription item)`
`Map<String,String>` | `getFormBuilderProperties()`
`Map<String,List<MenuItemDescription>>` | `listMenuItems()`
`List<MenuOptionDescription>` | `listOptions()`
`List<ValidationDescription>` | `listValidations()`
`protected String` | `readURL(URL url)`
`void` | `saveMenuItem(String groupName, MenuItemDescription item)`
`protected void` | `writeToURL(URL url, String json)`

Methods inherited from class org.jbpm.form.builder.services.impl.base.BaseMenuService
`addToMap, removeFromMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSMenuService

    public FSMenuService()

Method Detail

### listOptions

    public List<MenuOptionDescription> listOptions()
                                            throws MenuServiceException

  Throws:
    `MenuServiceException`

### listMenuItems

    public Map<String,List<MenuItemDescription>> listMenuItems()
                                                        throws MenuServiceException

  Throws:
    `MenuServiceException`

### listValidations

    public List<ValidationDescription> listValidations()
                                                throws MenuServiceException

  Throws:
    `MenuServiceException`

### saveMenuItem

    public void saveMenuItem(String groupName,
                             MenuItemDescription item)
                      throws MenuServiceException

  Throws:
    `MenuServiceException`

### deleteMenuItem

    public void deleteMenuItem(String groupName,
                               MenuItemDescription item)
                        throws MenuServiceException

  Throws:
    `MenuServiceException`

### getFormBuilderProperties

    public Map<String,String> getFormBuilderProperties()
                                                throws MenuServiceException

  Throws:
    `MenuServiceException`

### writeToURL

    protected void writeToURL(URL url,
                              String json)
                       throws FileNotFoundException,
                              IOException

  Throws:
    `FileNotFoundException`
    `IOException`

### asURL

    protected URL asURL(String path)
                 throws URISyntaxException

  Throws:
    `URISyntaxException`

### createReader

    protected Reader createReader(URL url)
                           throws FileNotFoundException,
                                  IOException

  Throws:
    `FileNotFoundException`
    `IOException`

### readURL

    protected String readURL(URL url)
                      throws FileNotFoundException,
                             IOException

  Throws:
    `FileNotFoundException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.